Subject: Re: [nvo3] VRF text (take 3) in draft-narten-nvo3-overlay-problem-statement-02.txt

From: Lizhong Jin <[email-masked]>
Date: Fri, 6 Jul 2012 22:52:21 +0800

>
> > > "With BGP/MPLS VPNs, MPLS encapsulation is used to provide tenant
> > > separation across the transport "underlay" network between PEs."
>
> > - No. VPN label (inner label) is used for VPN/tenant separation, not
> >   the MPLS encap (outer label).
>
> So thanks to some offline discussion, I have a much better
> understanding of this point now. But it seems to me to be a bit of
> splitting hairs.
>
> With BGP/MPLS VPNs, tenant separation is achieved by having an MPLS
> label that has significance to the ingress and egress PE. The egress
> PE picks the label it wants to use for a given Route Target/Route
> Distinguisher. BGP distributes this info back to the ingress PE, which
> then knows how to encap VPN traffic for a specific VPN to the egress
> PE. If there is an MPLS path as well, the VPN label is stacked, so the
> the VPN label is independent of whether an actual MPLS LSR path is
> used or whether MPLSoGRE is used.
>
> Now, I think you are arguing that the VPN label is not MPLS. Well,
> IMO, that is splitting hairs. It has the syntax of an MPLS label, and
> is encoded on the data plane in an MPLSoGRE packet. I would agree that
> this is not normal MPLS because in essence, the label is just a
> demultiplexor that the ingress/egress PE have agreed to use to denote
> a particular VPN. But given that the label is used with MPLS encoding
> on the data plane, I think the quoted text is correct and it's a bit
> misleading to argue that this is not MPLS...

[Lizhong] I don't mean to argue this. The VPN label is different with the
label of underlying LSP because they have different FEC(Forwarding
Equivalence Class), but it is standard MPLS. The MPLS label could be
defined with any behavior the FEC indicates.

Lizhong

>
> Thomas
>
>
>
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3
>
>